Skip to content

Get Authorized Merchant Store List

Request

Retrieves authorized merchant store list with basic store information and pagination data.

IMPORTANT: Valid access token required to access this endpoint.

Returns all authorized store information for the specified authorization ID with pagination support.

USE CASE: This endpoint is commonly used for store binding functionality, allowing service providers to retrieve authorized store details and bind them to their own systems for shop onboarding.

HOST: Keeta

DIRECTION:

Security
OAuth2(Required scopes: od.all) and Sig
Path
authIdstringrequired

Authorization ID that uniquely identifies a specific authorization session.
Each authorization generates a unique authId. There are two ways to obtain the authId:
1. Merchant authorization redirect - the authId is included in the redirect URL
2. Keeta Authorization Webhook - the authId is provided in the webhook payload
Please refer to the following for the specific workflow:Merchant Self-serve Authorization

Query
pageNuminteger, >= 1

Page number starting from 1

Default:1
pageSizeinteger, [ 1 .. 100 ]

Number of items per page

Default:10
curl -i -X GET \
  'https://open.mykeeta.com/api/open/opendelivery/oauth/authorized/{authId}/merchantInfo?pageNum=1&pageSize=10' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'X-App-Signature: YOUR_API_KEY_HERE'

Responses

Successfully retrieved merchant store information

Bodyapplication/json
userIdinteger, (int64)required

Keeta brand account ID

Example:12345678
brandIdintegerrequired

Keeta brand ID

Example:1001
brandNamestringrequired

Keeta brand name

Example:"Sample Brand"
authorizedShopsArray of objects(AuthorizedShop)required

List of authorized stores

pageobject(PageInfo)required
Response
{ "userId": 12345678, "brandId": 1001, "brandName": "Sample Brand", "authorizedShops": [ { … } ], "page": { "pageNum": 1, "pageSize": 10, "totalPage": 1, "totalCount": 3 } }

Get Authorized Merchant Store List

Request

Retrieves authorized merchant store list with basic store information and pagination data.

IMPORTANT: Valid access token required to access this endpoint.

Returns all authorized store information for the specified authorization ID with pagination support.

USE CASE: This endpoint is commonly used for store binding functionality, allowing service providers to retrieve authorized store details and bind them to their own systems for shop onboarding.

HOST: Keeta

DIRECTION:

Security
OAuth2(Required scopes: od.all) and Sig
Path
authIdstringrequired

Authorization ID that uniquely identifies a specific authorization session.
Each authorization generates a unique authId. There are two ways to obtain the authId:
1. Merchant authorization redirect - the authId is included in the redirect URL
2. Keeta Authorization Webhook - the authId is provided in the webhook payload
Please refer to the following for the specific workflow:Merchant Self-serve Authorization

Query
pageNuminteger, >= 1

Page number starting from 1

Default:1
pageSizeinteger, [ 1 .. 100 ]

Number of items per page

Default:10
curl -i -X GET \
  'https://open.mykeeta.com/api/open/opendelivery/oauth/authorized/{authId}/merchantInfo?pageNum=1&pageSize=10' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'X-App-Signature: YOUR_API_KEY_HERE'

Responses

Successfully retrieved merchant store information

Bodyapplication/json
userIdinteger, (int64)required

Keeta brand account ID

Example:12345678
brandIdintegerrequired

Keeta brand ID

Example:1001
brandNamestringrequired

Keeta brand name

Example:"Sample Brand"
authorizedShopsArray of objects(AuthorizedShop)required

List of authorized stores

pageobject(PageInfo)required
Response
{ "userId": 12345678, "brandId": 1001, "brandName": "Sample Brand", "authorizedShops": [ { … } ], "page": { "pageNum": 1, "pageSize": 10, "totalPage": 1, "totalCount": 3 } }